Subject: bug#53218: closed (Re: bug#53218: 27.2; image garbage display)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Jan 2022 19:18:02 +0000

Your bug report

#53218: 27.2; image garbage display

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53218: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53218
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53218: 27.2; image garbage display
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 12 Jan 2022 21:17:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: [email-masked]
> Date: Thu, 13 Jan 2022 02:30:29 +0900
> 
> 
> Evaluate the form below, a red rectangle remains in the lower half of
> the window.
> 
> (let ((buf (generate-new-buffer "tmp")))
>   (switch-to-buffer buf)
>   (progn (insert "\nx")
>          (goto-char (point-min)))
>   (redisplay)
>   (let* ((pbm (format "P1\n1 1\n1"))
>          (red  (create-image pbm 'pbm t :foreground "red"
>                              :height 400 :sacle 1)))
>     (insert-image red))
>   (redisplay)
>   (delete-char -1))

I can reproduce this in Emacs 27.2, but not in Emacs 28 or 29.

So I guess this problem was already fixed since Emacs 27.2, and I'm
closing this bug report.

Thanks.

Subject: 27.2; image garbage display
From: [email-masked]
To: [email-masked]
Date: Thu, 13 Jan 2022 02:30:29 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Evaluate the form below, a red rectangle remains in the lower half of
the window.

(let ((buf (generate-new-buffer "tmp")))
  (switch-to-buffer buf)
  (progn (insert "\nx")
         (goto-char (point-min)))
  (redisplay)
  (let* ((pbm (format "P1\n1 1\n1"))
         (red  (create-image pbm 'pbm t :foreground "red"
                             :height 400 :sacle 1)))
    (insert-image red))
  (redisplay)
  (delete-char -1))

In GNU Emacs 27.2 (build 1, x86_64-w64-mingw32)
 of 2021-03-26 built on CIRROCUMULUS
Repository revision: deef5efafb70f4b171265b896505b92b6eef24e6
Repository branch: HEAD
Windowing system distributor 'Microsoft Corp.', version 10.0.19043
System Description: Microsoft Windows 10 Pro (v10.0.2009.19043.1415)

Recent messages:

Configured using:
 'configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: JPN
  locale-coding-system: cp932

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(misearch multi-isearch gnutls network-stream nsm mailalias smtpmail
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs json map
tabify help-mode pp shadow sort mail-extr emacsbug message rmc puny
dired dired-loaddefs format-spec rfc822 mml easymenu mml-sec
password-cache epa derived epg epg-config gnus-util rmail rmail-loaddefs
text-property-search time-date subr-x seq byte-opt gv bytecomp
byte-compile cconv mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader cl-loaddefs cl-lib sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils term/bobcat japan-util
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win w32-vars
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads w32notify w32 lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 68747 12480)
 (symbols 48 7265 6)
 (strings 32 20743 2383)
 (string-bytes 1 672033)
 (vectors 16 13492)
 (vector-slots 8 238806 20350)
 (floats 8 25 304)
 (intervals 56 1280 0)
 (buffers 1000 17))